Self-employed walking courier profile creation

Walking courier profile creation

Request

POST

https://fleet-api.taxi.yandex.net/v3/parks/contractors/walking-courier-profile

Headers

Name

Description

X-API-Key

Type: string

API-key

Min length: 1

Example: <API key>

X-Client-ID

Type: string

Client ID

Min length: 1

Example: <Client ID>

X-Idempotency-Token

Type: string

Idempotent request token. Must contain only printable ASCII characters

Min length: 16

Max length: 64

Example: c56fa6537e5a4adbbce6ef3593210fb9

X-Park-ID

Type: string

Partner ID

Example: ee6f33c4562b4e1f8646d157bd70b2c4

Body

application/json
{
  "profile": {
    "birth_date": "1970-01-01",
    "full_name": {
      "first_name": "Ivan",
      "middle_name": "Ivanovich",
      "last_name": "Ivanov"
    },
    "phone": "+79999999999",
    "work_rule_id": "bc43tre6ba054dfdb7143ckfgvcby63e"
  },
  "selfemployed": {
    "address": "Moscow, Ivanovskaya Ul., bld. 40/2",
    "phone": "+79999999999",
    "address_apartment": "65",
    "deactivation_contractor_id": "817def613d3b45a0ac95f179eb285263"
  }
}

Name

Description

profile

Type: WalkingCourierWriteModel

Example
{
  "birth_date": "1970-01-01",
  "full_name": {
    "first_name": "Ivan",
    "middle_name": "Ivanovich",
    "last_name": "Ivanov"
  },
  "phone": "+79999999999",
  "work_rule_id": "bc43tre6ba054dfdb7143ckfgvcby63e"
}

selfemployed

Type: WalkingCourierSelfemployed

Fields for creating park self-employed in the Russian Federation

Example
{
  "address": "Moscow, Ivanovskaya Ul., bld. 40/2",
  "phone": "+79999999999",
  "address_apartment": "65",
  "deactivation_contractor_id": "817def613d3b45a0ac95f179eb285263"
}

Date

Date without time zone in ISO 8601 format

Type: string

Example: 1970-01-01

FirstName

Name

Type: string

Example: Ivan

MiddleName

Middle name

Type: string

Example: Ivanovich

LastName

Last name

Type: string

Example: Ivanov

FullName

Driver's full name

Name

Description

first_name

Type: FirstName

Name

Example: Ivan

last_name

Type: LastName

Last name

Example: Ivanov

middle_name

Type: MiddleName

Middle name

Example: Ivanovich

Example
{
  "first_name": "Ivan",
  "middle_name": "Ivanovich",
  "last_name": "Ivanov"
}

Phone

Phone number

Type: string

Pattern: ^\+\d{1,15}$

Example: +79999999999

WorkRuleId

Work rule ID

Type: string

Example: bc43tre6ba054dfdb7143ckfgvcby63e

WalkingCourierWriteModel

Name

Description

birth_date

Type: Date

Date without time zone in ISO 8601 format

Example: 1970-01-01

full_name

Type: FullName

Driver's full name

Example
{
  "first_name": "Ivan",
  "middle_name": "Ivanovich",
  "last_name": "Ivanov"
}

phone

Type: Phone

Phone number

Pattern: ^\+\d{1,15}$

Example: +79999999999

work_rule_id

Type: WorkRuleId

Work rule ID

Example: bc43tre6ba054dfdb7143ckfgvcby63e

Example
{
  "birth_date": "1970-01-01",
  "full_name": {
    "first_name": "Ivan",
    "middle_name": "Ivanovich",
    "last_name": "Ivanov"
  },
  "phone": "+79999999999",
  "work_rule_id": "bc43tre6ba054dfdb7143ckfgvcby63e"
}

WalkingCourierSelfemployed

Fields for creating park self-employed in the Russian Federation

Name

Description

address

Type: string

Registration address

Example: Moscow, Ivanovskaya Ul., bld. 40/2

phone

Type: string

Phone number in "My tax" app

Pattern: ^\+\d{1,15}$

Example: +79999999999

address_apartment

Type: string

Apartment number

Example: 65

deactivation_contractor_id

Type: string

Contractor id that is converted to park self-employed

Example: 817def613d3b45a0ac95f179eb285263

Example
{
  "address": "Moscow, Ivanovskaya Ul., bld. 40/2",
  "phone": "+79999999999",
  "address_apartment": "65",
  "deactivation_contractor_id": "817def613d3b45a0ac95f179eb285263"
}

Responses

200 OK

Creating a walking courier profile

Body

application/json
{
  "id": "2111ade6gk054dfdb9iu8c8cc9460mks"
}

Name

Description

id

Type: string

Walking courier's profile ID

Example: 2111ade6gk054dfdb9iu8c8cc9460mks

400 Bad Request

Invalid request parameters

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example

429 Too Many Requests

Limit of requests was exceeded

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example

500 Internal Server Error

Internal server error

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example